#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 41. Other X-based Programs

- Prev

  Other X-based Programs

- Next

  feh-3.12.1

- Up
- Home

# Balsa-2.6.5

## Introduction to Balsa

The Balsa package contains a lightweight GTK+-based mail client.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://gitlab.gnome.org/GNOME/balsa/-/archive/2.6.5/balsa-2.6.5.tar.gz

- Download MD5 sum: c1039c22e8c2544c6a357626d71b6220

- Download size: 6.0 MB

- Estimated disk space required: 44 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### Balsa Dependencies

#### Required

enchant-2.8.16, GMime-3.2.15, gpgme-2.0.1, GTK-3.24.52, libical-3.0.20, libnotify-0.8.8, and libsecret-0.21.7

#### Required (Runtime)

MTA (that provides a sendmail command)

#### Optional

Compface-1.5.2, gspell-1.14.3, gtksourceview-3.24.11, libcanberra-0.30, MIT Kerberos V5-1.22.2, OpenLDAP-2.6.13, Procmail-3.24, WebKitGTK-2.52.0, html2text, libxapp, osmo, and yelp-tools

## Installation of Balsa

Install Balsa by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup .. --prefix=/usr       \
                   --buildtype=release \
                   -D html-widget=no   &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D html-widget=no`: This option disables building the HTML renderer. If you want the HTML renderer to be built, verify that you have WebKitGTK-2.52.0 installed, and then remove this option.

`-D canberra=true`: This switch enables support for event sounds via libcanberra-0.30.

`-D compface=true`: This switch enables support for using Compface-1.5.2 to compress thumbnails for contacts.

`-D gcr=true`: This switch enables support for using libgcr for handling TLS certificates. This requires that the Gcr-3.41.2 package is installed, which is part of a runtime dependency for libsecret.

`-D gss=true`: This switch enables support for Kerberos authentication. This requires that the MIT Kerberos V5-1.22.2 package is installed.

`-D ldap=true`: This switch enables LDAP address book support. This requires that the OpenLDAP-2.6.13 package is installed.

## Contents

Installed Programs: balsa and balsa-ab
Installed Libraries: None
Installed Directories: /etc/sounds/events, /usr/share/balsa, and /usr/share/sounds/balsa

### Short Descriptions

balsa | is a GTK+-based mail client
balsa-ab | is the address book application used by balsa

- Prev

  Other X-based Programs

- Next

  feh-3.12.1

- Up
- Home